Subject: [manet] help:Power-Saving mode in 802.11

From: [email-masked]
Date: Mon, 30 Sep 2002 02:27:26 +0800

everyone:
    In an ad hoc network which use 802.11 as the MAC protocol, if all stations work in PS(power-saving) mode, in the ATIM window, when a station A want to send packets to station B,I want to ask the following questions:
1. does the ATIM message directed send to B or use a RTS-CTS handshake at first between A & B, and then send the ATIM?
2. if station A have tens of packets in its sending queue to different stations, should A send ATIMs to all the destination stations? If this is true, there may be the case(when the load is rather high) that in one beacon interval, A can not send out all its packets because of contention with other stations,and there may be stations which recevie ATIM from "A" and stays in active state, but receive nothing from "A" in the current beacon interval, and energy will be wasted. How to slove this problem?
3. if there is only one FIFO sending queue and there is a broadcast message(routing message etc.)at the back end of the queue(several unicast packets are preceded it), as the standard recomand that the broadcast message should send first,is it feasible?Shall I use several sending queues?
4. How to set the value of beacon interval and the ATIM window, I can't find it in the standard of 99's version?
should it be realted to network loads?  
5. it seems that the PS mode in 802.11 is designed for low load situations and should not be used in high load circumstance, doesn't it?

 Thanks in advance.
Best regards! 	

______________________________________

===================================================================
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet